System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IList

The list is used to specify the output listeners for the and the collections. You cannot create an instance of this class.

This list is thread-safe, however the methods used to access the list and the enumerator do not take synchronization locks. Instead, the collection is copied, the copy is modified, and a reference is set to the copy of the collection. Methods like , , and modify the elements in the collection.

The class provides the property for information about the list. It also provides the following methods: , , .

This class also provides the following methods to modify the list: , , , and . The method copies a part of the list to an array. The method deletes the list member at a specified index number.

Provides a thread-safe list of objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds a to the list.

  The position at which the new listener was inserted.

  A to add to the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds an array of objects to the list.

  An array of objects to add to the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Adds the contents of another to the list.

  Another whose contents are added to the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Clears all the listeners from the list.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method can confirm the existence of a before you perform further operations.

  Checks whether the list contains the specified listener.

  true if the listener is in the list; otherwise, false.

  A to find in the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies a section of the current list to the specified array at the specified index.

  An array of type to copy the elements into. The starting index number in the current list to copy from.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of listeners in the list.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Gets an enumerator for this list.

  An enumerator of type .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Gets the index of the specified listener.

  The index of the listener, if it can be found in the list; otherwise, -1.

  A to find in the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If the index equals the number of items in the list, then the listener is appended to the end of the list.

  The index is zero-based. Therefore, if you want to insert the listener into the third position, you must call myTraceListenerColl.Insert(2, myNewListener).

  Inserts the listener at the specified index.

  The position in the list to insert the new . A to insert in the list.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceListener `` To be added. To be added To be added: an object of type 'TraceListener' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.TraceListener `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes from the collection the specified .

  A to remove from the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The parameter is case-sensitive. That is, if two listeners exist with the names "Rname" and "rname", the method will find the specific listener you name.

  Removes from the collection the first with the specified name.

  The name of the to remove from the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The index is zero-based. Therefore, you must subtract one from the numerical position of a particular to delete that . For example, to remove the third , you need to specify myTraceListenerColl.RemoveAt(2).

  Removes from the collection the at the specified index.

  The zero-based index of the to remove from the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Use the method of the class to copy all or part of the collection to an array.

  Copies a section of the current to the specified array of objects.

  The one-dimensional array of objects that is the destination of the elements copied from the . The array must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the is synchronized (thread safe).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Use the method to add a new trace listener to the collection.

  Adds a trace listener to the .

  The position into which the new trace listener was inserted.

  The object to add to the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Use the method of the class to determine whether the collection contains a specific object.

  Determines whether the contains a specific object.

  true if the is found in the ; otherwise, false.

  The object to locate in the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Use the method of the class to determine the index of a object in the collection.

  Determines the index of a specific object in the .

  The index of if found in the ; otherwise, -1.

  The object to locate in the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Use the method of the class to insert a object into the collection.

  Inserts a object at the specified position in the .

  The zero-based index at which should be inserted. The object to insert into the .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the has a fixed size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the is read-only

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use the method of the class to remove a from the collection.

  Removes an object from the .

  The object to remove from the .